<cfcomponent  
	extends="core"
	displayname="agent" 
	hint="performs functions" >
	<cfsetting showdebugoutput="yes">	
          
          
          <cffunction
			name="get_GMT_offset" 
			output="true"
            returntype="query"  
			hint="Gets list of GMT offset based on area code from vicidial DB" 
			access="public">
			
            <cfquery name="get_gmt" datasource="#application.vici_datasource#">
            	Select areacode, GMT_offset, DST
                FROM vicidial_phone_codes
                WHERE country_code = <cfqueryparam cfsqltype="cf_sql_tinyint" value="1">
                AND country = <cfqueryparam cfsqltype="cf_sql_varchar" value="USA">
            </cfquery>
			
            <cfreturn get_gmt>
		  </cffunction>
          
          <cffunction
			name="delete_vicidial_list" 
			output="false"  
			hint="deletes vicidial list for load" 
			access="public">
            <cfargument name="list_id" default="0">
			
            <cfquery name="delete_list" datasource="#application.vici_datasource#">
            	Delete
                FROM vicidial_list
                WHERE list_id = <cfqueryparam cfsqltype="cf_sql_bigint" value="#application.vici_list_id#">
            </cfquery>
			
		  </cffunction>
          
          <cffunction
			name="delete_vicidial_hopper" 
			output="false"  
			hint="deletes vicidial hopper for load" 
			access="public">
            <cfargument name="list_id" default="0">
			
            <cfquery name="delete_hopper" datasource="#application.vici_datasource#">
            	Delete
                FROM vicidial_hopper
                WHERE list_id = <cfqueryparam cfsqltype="cf_sql_bigint" value="#application.vici_list_id#">
            </cfquery>
			
		  </cffunction>

          
</cfcomponent>